--TEST--
helpers #13 - helpers
--DESCRIPTION--
helpers - block helper should have context in this
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '<ul>{{#people}}<li>{{#link}}{{name}}{{/link}}</li>{{/people}}</ul>';
$context = array(
        'people' => array(
            array(
                'name' => 'Alan',
                'id' => 1,
            ),
            array(
                'name' => 'Yehuda',
                'id' => 2,
            ),
        ),
    );
$helpers = new DefaultRegistry(array(
        'link' => function($options) {
    return '<a href="/people/'.$options->scope['id'].'">' . $options->fn($options->scope) . '</a>';
}/*function link(options) {
      return '<a href="/people/' + this.id + '">' + options.fn(this) + '</a>';
    }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
<ul><li><a href="/people/1">Alan</a></li><li><a href="/people/2">Yehuda</a></li></ul>