--TEST--
track-ids #10 - #each
--DESCRIPTION--
#each - should track contextPath for keys
--SKIPIF--
<?php if( true ) die('skip track ids are not supported by the VM'); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#each object}}{{wycats name}}{{/each}}';
$context = array(
        'object' => array(
            'foo' => array(
                'name' => 'foo',
            ),
            'bar' => array(
                'name' => 'bar',
            ),
        ),
    );
$helpers = new DefaultRegistry(array(
        'blockParams' => function($name, $options) {
        return $name . ':' . $options->ids[0] + '\n';
      }/*function (name, options) {
        return name + ':' + options.ids[0] + '\n';
      }*/,
        'wycats' => function($name, $options) {
        return $name . ':' . $options['data']['contextPath'] . "\n";
      }/*function (name, options) {
        return name + ':' + options.data.contextPath + '\n';
      }*/,
    ));
$options = array(
        'trackIds' => true,
    );
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
foo:object.foo
bar:object.bar
